Parse each GPX file in an archive separately
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.5)
6       concurrent-ruby (~> 1.0)
7     actioncable (5.2.3)
8       actionpack (= 5.2.3)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailer (5.2.3)
12       actionpack (= 5.2.3)
13       actionview (= 5.2.3)
14       activejob (= 5.2.3)
15       mail (~> 2.5, >= 2.5.4)
16       rails-dom-testing (~> 2.0)
17     actionpack (5.2.3)
18       actionview (= 5.2.3)
19       activesupport (= 5.2.3)
20       rack (~> 2.0)
21       rack-test (>= 0.6.3)
22       rails-dom-testing (~> 2.0)
23       rails-html-sanitizer (~> 1.0, >= 1.0.2)
24     actionpack-page_caching (1.1.1)
25       actionpack (>= 4.0.0, < 6)
26     actionview (5.2.3)
27       activesupport (= 5.2.3)
28       builder (~> 3.1)
29       erubi (~> 1.4)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.0.3)
32     active_record_union (1.3.0)
33       activerecord (>= 4.0)
34     activejob (5.2.3)
35       activesupport (= 5.2.3)
36       globalid (>= 0.3.6)
37     activemodel (5.2.3)
38       activesupport (= 5.2.3)
39     activerecord (5.2.3)
40       activemodel (= 5.2.3)
41       activesupport (= 5.2.3)
42       arel (>= 9.0)
43     activerecord-import (1.0.2)
44       activerecord (>= 3.2)
45     activestorage (5.2.3)
46       actionpack (= 5.2.3)
47       activerecord (= 5.2.3)
48       marcel (~> 0.3.1)
49     activesupport (5.2.3)
50       concurrent-ruby (~> 1.0, >= 1.0.2)
51       i18n (>= 0.7, < 2)
52       minitest (~> 5.1)
53       tzinfo (~> 1.1)
54     addressable (2.6.0)
55       public_suffix (>= 2.0.2, < 4.0)
56     annotate (2.7.5)
57       activerecord (>= 3.2, < 7.0)
58       rake (>= 10.4, < 13.0)
59     arel (9.0.0)
60     ast (2.4.0)
61     autoprefixer-rails (8.6.5)
62       execjs
63     better_errors (2.5.1)
64       coderay (>= 1.0.0)
65       erubi (>= 1.0.0)
66       rack (>= 0.9.0)
67     better_html (1.0.13)
68       actionview (>= 4.0)
69       activesupport (>= 4.0)
70       ast (~> 2.0)
71       erubi (~> 1.4)
72       html_tokenizer (~> 0.0.6)
73       parser (>= 2.4)
74       smart_properties
75     bigdecimal (1.1.0)
76     binding_of_caller (0.8.0)
77       debug_inspector (>= 0.0.1)
78     bootsnap (1.4.4)
79       msgpack (~> 1.0)
80     browser (2.5.3)
81     builder (3.2.3)
82     bzip2-ffi (1.0.0)
83       ffi (~> 1.0)
84     cancancan (3.0.1)
85     canonical-rails (0.2.5)
86       rails (>= 4.1, < 6.1)
87     capybara (2.18.0)
88       addressable
89       mini_mime (>= 0.1.3)
90       nokogiri (>= 1.3.3)
91       rack (>= 1.0.0)
92       rack-test (>= 0.5.4)
93       xpath (>= 2.0, < 4.0)
94     climate_control (0.2.0)
95     cliver (0.3.2)
96     coderay (1.1.2)
97     coffee-rails (4.2.2)
98       coffee-script (>= 2.2.0)
99       railties (>= 4.0.0)
100     coffee-script (2.4.1)
101       coffee-script-source
102       execjs
103     coffee-script-source (1.12.2)
104     colorize (0.8.1)
105     composite_primary_keys (11.1.0)
106       activerecord (~> 5.2.1)
107     concurrent-ruby (1.1.5)
108     config (1.7.1)
109       activesupport (>= 3.0)
110       deep_merge (~> 1.2.1)
111       dry-validation (>= 0.12.2)
112     coveralls (0.8.23)
113       json (>= 1.8, < 3)
114       simplecov (~> 0.16.1)
115       term-ansicolor (~> 1.3)
116       thor (>= 0.19.4, < 2.0)
117       tins (~> 1.6)
118     crack (0.4.3)
119       safe_yaml (~> 1.0.0)
120     crass (1.0.4)
121     dalli (2.7.10)
122     debug_inspector (0.0.3)
123     deep_merge (1.2.1)
124     delayed_job (4.1.5)
125       activesupport (>= 3.0, < 5.3)
126     delayed_job_active_record (4.1.3)
127       activerecord (>= 3.0, < 5.3)
128       delayed_job (>= 3.0, < 5)
129     docile (1.3.1)
130     dry-configurable (0.8.3)
131       concurrent-ruby (~> 1.0)
132       dry-core (~> 0.4, >= 0.4.7)
133     dry-container (0.7.0)
134       concurrent-ruby (~> 1.0)
135       dry-configurable (~> 0.1, >= 0.1.3)
136     dry-core (0.4.7)
137       concurrent-ruby (~> 1.0)
138     dry-equalizer (0.2.2)
139     dry-inflector (0.1.2)
140     dry-logic (0.6.1)
141       concurrent-ruby (~> 1.0)
142       dry-core (~> 0.2)
143       dry-equalizer (~> 0.2)
144     dry-types (0.14.1)
145       concurrent-ruby (~> 1.0)
146       dry-container (~> 0.3)
147       dry-core (~> 0.4, >= 0.4.4)
148       dry-equalizer (~> 0.2)
149       dry-inflector (~> 0.1, >= 0.1.2)
150       dry-logic (~> 0.5, >= 0.5)
151     dry-validation (0.13.3)
152       concurrent-ruby (~> 1.0)
153       dry-configurable (~> 0.1, >= 0.1.3)
154       dry-core (~> 0.2, >= 0.2.1)
155       dry-equalizer (~> 0.2)
156       dry-logic (~> 0.5, >= 0.5.0)
157       dry-types (~> 0.14.0)
158     dynamic_form (1.1.4)
159     erb_lint (0.0.28)
160       activesupport
161       better_html (~> 1.0.7)
162       html_tokenizer
163       rainbow
164       rubocop (~> 0.51)
165       smart_properties
166     erubi (1.8.0)
167     eslint-rails-ee (1.0.2)
168       colorize
169       execjs
170       railties (>= 3.2)
171     execjs (2.7.0)
172     exifr (1.3.6)
173     factory_bot (5.0.2)
174       activesupport (>= 4.2.0)
175     factory_bot_rails (5.0.2)
176       factory_bot (~> 5.0.2)
177       railties (>= 4.2.0)
178     fakefs (0.20.1)
179     faraday (0.15.4)
180       multipart-post (>= 1.2, < 3)
181     ffi (1.11.1)
182     ffi-libarchive (0.4.6)
183       ffi (~> 1.0)
184     fspath (3.1.1)
185     gd2-ffij (0.4.0)
186       ffi (>= 1.0.0)
187     geoip (1.6.4)
188     globalid (0.4.2)
189       activesupport (>= 4.2.0)
190     hashdiff (0.4.0)
191     hashie (3.6.0)
192     html_tokenizer (0.0.7)
193     htmlentities (4.3.4)
194     http_accept_language (2.0.5)
195     i18n (0.9.5)
196       concurrent-ruby (~> 1.0)
197     i18n-js (3.2.3)
198       i18n (>= 0.6.6)
199     image_optim (0.26.4)
200       exifr (~> 1.2, >= 1.2.2)
201       fspath (~> 3.0)
202       image_size (>= 1.5, < 3)
203       in_threads (~> 1.3)
204       progress (~> 3.0, >= 3.0.1)
205     image_optim_rails (0.4.2)
206       image_optim (~> 0.24)
207       rails
208       sprockets
209     image_size (2.0.1)
210     in_threads (1.5.2)
211     jaro_winkler (1.5.2)
212     jquery-rails (4.3.3)
213       rails-dom-testing (>= 1, < 3)
214       railties (>= 4.2.0)
215       thor (>= 0.14, < 2.0)
216     json (2.2.0)
217     jsonify (0.3.1)
218       multi_json (~> 1.0)
219     jsonify-rails (0.3.2)
220       actionpack
221       jsonify (< 0.4.0)
222     jwt (2.2.1)
223     kgio (2.11.2)
224     kramdown (2.1.0)
225     libv8 (3.16.14.19)
226     libxml-ruby (3.1.0)
227     listen (3.1.5)
228       rb-fsevent (~> 0.9, >= 0.9.4)
229       rb-inotify (~> 0.9, >= 0.9.7)
230       ruby_dep (~> 1.2)
231     logstash-event (1.2.02)
232     logstasher (1.3.0)
233       activesupport (>= 4.0)
234       logstash-event (~> 1.2.0)
235       request_store
236     loofah (2.2.3)
237       crass (~> 1.0.2)
238       nokogiri (>= 1.5.9)
239     mail (2.7.1)
240       mini_mime (>= 0.1.1)
241     marcel (0.3.3)
242       mimemagic (~> 0.3.2)
243     method_source (0.9.2)
244     mime-types (3.2.2)
245       mime-types-data (~> 3.2015)
246     mime-types-data (3.2019.0331)
247     mimemagic (0.3.3)
248     mini_mime (1.0.1)
249     mini_portile2 (2.4.0)
250     minitest (5.11.3)
251     msgpack (1.2.10)
252     multi_json (1.13.1)
253     multi_xml (0.6.0)
254     multipart-post (2.1.1)
255     nio4r (2.3.1)
256     nokogiri (1.10.3)
257       mini_portile2 (~> 2.4.0)
258     nokogumbo (2.0.1)
259       nokogiri (~> 1.8, >= 1.8.4)
260     oauth (0.4.7)
261     oauth-plugin (0.5.1)
262       multi_json
263       oauth (~> 0.4.4)
264       oauth2 (>= 0.5.0)
265       rack
266     oauth2 (1.4.1)
267       faraday (>= 0.8, < 0.16.0)
268       jwt (>= 1.0, < 3.0)
269       multi_json (~> 1.3)
270       multi_xml (~> 0.5)
271       rack (>= 1.2, < 3)
272     omniauth (1.9.0)
273       hashie (>= 3.4.6, < 3.7.0)
274       rack (>= 1.6.2, < 3)
275     omniauth-facebook (5.0.0)
276       omniauth-oauth2 (~> 1.2)
277     omniauth-github (1.3.0)
278       omniauth (~> 1.5)
279       omniauth-oauth2 (>= 1.4.0, < 2.0)
280     omniauth-google-oauth2 (0.7.0)
281       jwt (>= 2.0)
282       omniauth (>= 1.1.1)
283       omniauth-oauth2 (>= 1.5)
284     omniauth-mediawiki (0.0.4)
285       jwt (~> 2.0)
286       omniauth-oauth (~> 1.0)
287     omniauth-oauth (1.1.0)
288       oauth
289       omniauth (~> 1.0)
290     omniauth-oauth2 (1.6.0)
291       oauth2 (~> 1.1)
292       omniauth (~> 1.9)
293     omniauth-openid (1.0.1)
294       omniauth (~> 1.0)
295       rack-openid (~> 1.3.1)
296     omniauth-windowslive (0.0.12)
297       multi_json (~> 1.12)
298       omniauth-oauth2 (~> 1.4)
299     openstreetmap-deadlock_retry (1.3.0)
300     paperclip (5.3.0)
301       activemodel (>= 4.2.0)
302       activesupport (>= 4.2.0)
303       mime-types
304       mimemagic (~> 0.3.0)
305       terrapin (~> 0.6.0)
306     parallel (1.17.0)
307     parser (2.6.3.0)
308       ast (~> 2.4.0)
309     pg (1.1.4)
310     poltergeist (1.18.1)
311       capybara (>= 2.1, < 4)
312       cliver (~> 0.3.1)
313       websocket-driver (>= 0.2.0)
314     progress (3.5.1)
315     psych (3.1.0)
316     public_suffix (3.1.0)
317     puma (3.12.1)
318     quad_tile (1.0.1)
319     r2 (0.2.7)
320     rack (2.0.7)
321     rack-cors (1.0.3)
322     rack-openid (1.3.1)
323       rack (>= 1.1.0)
324       ruby-openid (>= 2.1.8)
325     rack-test (1.1.0)
326       rack (>= 1.0, < 3)
327     rack-uri_sanitizer (0.0.2)
328     rails (5.2.3)
329       actioncable (= 5.2.3)
330       actionmailer (= 5.2.3)
331       actionpack (= 5.2.3)
332       actionview (= 5.2.3)
333       activejob (= 5.2.3)
334       activemodel (= 5.2.3)
335       activerecord (= 5.2.3)
336       activestorage (= 5.2.3)
337       activesupport (= 5.2.3)
338       bundler (>= 1.3.0)
339       railties (= 5.2.3)
340       sprockets-rails (>= 2.0.0)
341     rails-controller-testing (1.0.4)
342       actionpack (>= 5.0.1.x)
343       actionview (>= 5.0.1.x)
344       activesupport (>= 5.0.1.x)
345     rails-dom-testing (2.0.3)
346       activesupport (>= 4.2.0)
347       nokogiri (>= 1.6)
348     rails-html-sanitizer (1.0.4)
349       loofah (~> 2.2, >= 2.2.2)
350     rails-i18n (4.0.2)
351       i18n (~> 0.6)
352       rails (>= 4.0)
353     railties (5.2.3)
354       actionpack (= 5.2.3)
355       activesupport (= 5.2.3)
356       method_source
357       rake (>= 0.8.7)
358       thor (>= 0.19.0, < 2.0)
359     rainbow (3.0.0)
360     rake (12.3.2)
361     rb-fsevent (0.10.3)
362     rb-inotify (0.10.0)
363       ffi (~> 1.0)
364     record_tag_helper (1.0.0)
365       actionview (~> 5.x)
366     ref (2.0.0)
367     request_store (1.4.1)
368       rack (>= 1.4)
369     rinku (2.0.6)
370     rotp (5.0.0)
371       addressable (~> 2.5)
372     rubocop (0.71.0)
373       jaro_winkler (~> 1.5.1)
374       parallel (~> 1.10)
375       parser (>= 2.6)
376       rainbow (>= 2.2.2, < 4.0)
377       ruby-progressbar (~> 1.7)
378       unicode-display_width (>= 1.4.0, < 1.7)
379     rubocop-performance (1.3.0)
380       rubocop (>= 0.68.0)
381     rubocop-rails (2.0.0)
382       rack (>= 2.0)
383       rubocop (>= 0.70.0)
384     ruby-openid (2.7.0)
385     ruby-progressbar (1.10.1)
386     ruby_dep (1.5.0)
387     safe_yaml (1.0.5)
388     sanitize (5.0.0)
389       crass (~> 1.0.2)
390       nokogiri (>= 1.8.0)
391       nokogumbo (~> 2.0)
392     sassc (2.0.1)
393       ffi (~> 1.9)
394       rake
395     sassc-rails (2.1.1)
396       railties (>= 4.0.0)
397       sassc (>= 2.0)
398       sprockets (> 3.0)
399       sprockets-rails
400       tilt
401     secure_headers (6.1.0)
402     simplecov (0.16.1)
403       docile (~> 1.1)
404       json (>= 1.8, < 3)
405       simplecov-html (~> 0.10.0)
406     simplecov-html (0.10.2)
407     smart_properties (1.14.0)
408     sprockets (3.7.2)
409       concurrent-ruby (~> 1.0)
410       rack (> 1, < 3)
411     sprockets-rails (3.2.1)
412       actionpack (>= 4.0)
413       activesupport (>= 4.0)
414       sprockets (>= 3.0.0)
415     strong_migrations (0.4.0)
416       activerecord (>= 5)
417     term-ansicolor (1.7.1)
418       tins (~> 1.0)
419     terrapin (0.6.0)
420       climate_control (>= 0.0.3, < 1.0)
421     therubyracer (0.12.3)
422       libv8 (~> 3.16.14.15)
423       ref
424     thor (0.20.3)
425     thread_safe (0.3.6)
426     tilt (2.0.9)
427     tins (1.20.3)
428     tzinfo (1.2.5)
429       thread_safe (~> 0.1)
430     uglifier (4.1.20)
431       execjs (>= 0.3.0, < 3)
432     unicode-display_width (1.6.0)
433     validates_email_format_of (1.6.3)
434       i18n
435     vendorer (0.2.0)
436     webmock (3.6.0)
437       addressable (>= 2.3.6)
438       crack (>= 0.3.2)
439       hashdiff (>= 0.4.0, < 2.0.0)
440     websocket-driver (0.7.0)
441       websocket-extensions (>= 0.1.0)
442     websocket-extensions (0.1.3)
443     xpath (3.2.0)
444       nokogiri (~> 1.8)
445
446 PLATFORMS
447   ruby
448
449 DEPENDENCIES
450   SystemTimer (>= 1.1.3)
451   aasm
452   actionpack-page_caching
453   active_record_union
454   activerecord-import
455   annotate
456   autoprefixer-rails (~> 8.6.3)
457   better_errors
458   bigdecimal (~> 1.1.0)
459   binding_of_caller
460   bootsnap (>= 1.1.0)
461   browser
462   bzip2-ffi
463   cancancan
464   canonical-rails
465   capybara (~> 2.13)
466   coffee-rails (~> 4.2)
467   composite_primary_keys (~> 11.1.0)
468   config
469   coveralls
470   dalli
471   delayed_job_active_record
472   dynamic_form
473   erb_lint
474   eslint-rails-ee
475   execjs
476   factory_bot_rails
477   fakefs
478   faraday
479   ffi-libarchive
480   gd2-ffij (>= 0.4.0)
481   geoip
482   htmlentities
483   http_accept_language (~> 2.0.0)
484   i18n-js (>= 3.0.0)
485   image_optim_rails
486   jquery-rails
487   json
488   jsonify-rails
489   kgio
490   kramdown
491   libxml-ruby (>= 2.0.5)
492   listen
493   logstasher
494   mimemagic
495   minitest (~> 5.1)
496   oauth-plugin (>= 0.5.1)
497   omniauth
498   omniauth-facebook
499   omniauth-github
500   omniauth-google-oauth2 (>= 0.6.0)
501   omniauth-mediawiki (>= 0.0.4)
502   omniauth-openid
503   omniauth-windowslive
504   openstreetmap-deadlock_retry (>= 1.3.0)
505   paperclip (~> 5.2)
506   pg
507   poltergeist
508   psych
509   puma (~> 3.7)
510   quad_tile (~> 1.0.1)
511   r2 (~> 0.2.7)
512   rack-cors
513   rack-uri_sanitizer
514   rails (= 5.2.3)
515   rails-controller-testing
516   rails-i18n (~> 4.0.0)
517   record_tag_helper
518   rinku (>= 2.0.6)
519   rotp
520   rubocop
521   rubocop-performance
522   rubocop-rails
523   sanitize
524   sassc-rails
525   secure_headers
526   strong_migrations
527   therubyracer
528   uglifier (>= 1.3.0)
529   validates_email_format_of (>= 1.5.1)
530   vendorer
531   webmock
532
533 BUNDLED WITH
534    1.17.2